Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jan 2022 21:48:15 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Almost one year before I purchased some thing from madinat zayed western region city mall  baby shop mistakenly but still I am receiving Ad-babyshop messages on my mentioned above mobile number. It is my humble request please remove my number from your system as soon as possible because I am really fed up with your unnecessary messages. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3690286